using System;
using Addison_Wesley.Codebook.Filesystem;

namespace Papierkorbgröße
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Zjištění velikosti koše a počtu souborů v něm";

         // Zjištění celkové velikosti koše a počtu souborů v něm
         RecycleBin.RecycleBinInfo rbi = RecycleBin.GetRecycleBinInfo(null);
         Console.WriteLine("Počet souborů v celkovém koši: {0}", rbi.Count);
         Console.WriteLine("Velikost celkového koše: {0} bajtů", rbi.Size);
         Console.WriteLine();

         // Zjištění velikosti koše na disku C: a počtu souborů v něm 
         rbi = RecycleBin.GetRecycleBinInfo("C:\\");
         Console.WriteLine("Počet souborů v koši na disku C: {0}", rbi.Count);
         Console.WriteLine("Velikost koše na disku C: {0} bajtů", rbi.Size);

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
